<?php
if (!defined('ABSPATH')) die();

/*** Přidání stránek do menu v administraci ***/
function WPHE_admin_menu()
{
    global $WPHE_dirname, $WPHE_dirurl;
    if(current_user_can('activate_plugins'))
	{
		add_menu_page(__('WP Htaccess Editor','wphe'), __('Htaccess','wphe'), 'activate_plugins', $WPHE_dirname, 'WPHE_view_page', '');
		WPHE_add_page(__('Htaccess Editor','wphe'),__('Htaccess Editor','wphe'), 'activate_plugins', $WPHE_dirname, 'WPHE_view_page');
		WPHE_add_page(__('Backup', 'wphe'),__('Backup', 'wphe'), 'activate_plugins', $WPHE_dirname.'_backup', 'WPHE_view_page');
		
		// přidání css stylu do administrace
		wp_enqueue_style('wphe-style', $WPHE_dirurl.'style/wphe-style.css');
		
		unset($WPHE_dirname);
		unset($WPHE_dirurl);
	}else{
		unset($WPHE_dirname);
		unset($WPHE_dirurl);
	}
}

/*** Zobrazení stránky podle požadavku ***/
function WPHE_view_page()
{
	global $WPHE_dirname, $WPHE_root, $WPHE_dirurl, $WPHE_version;
         
    switch (htmlspecialchars(addslashes($_GET['page'])))
	{
		case $WPHE_dirname:
			include($WPHE_root.'pages/wphe-dashboard.php');
		break;
		case $WPHE_dirname.'_backup':
			include($WPHE_root.'pages/wphe-backup.php');
		break;
		default:
		    include($WPHE_root.'pages/wphe-dashboard.php');
		break;
	}
	
	unset($WPHE_dirname);
	unset($WPHE_root);
	unset($WPHE_dirurl);
	unset($WPHE_version);
}

/*** Pomocná funkce pro vytvoření menu ***/
function WPHE_add_page($page_title, $menu_title, $access_level, $file, $function = '')
{
	global $WPHE_dirname;
	add_submenu_page($WPHE_dirname, $page_title, $menu_title, $access_level, $file, $function);
	
	unset($WPHE_dirname);
	unset($page_title);
	unset($menu_title);
	unset($access_level);
	unset($file);
	unset($function);
}
?>