<?php
if (!defined('ABSPATH')) die();

if(current_user_can('activate_plugins'))
{
	$WPHE_backup_path = WP_CONTENT_URL.'/htaccess.backup';
	$WPHE_orig_path = ABSPATH.'.htaccess';
	?>
	<div class="wrap">
	<h2><?php _e('WP Htaccess Editor', 'wphe'); ?></h2>
	<?php
	//============================ Save Htaccess =======================================
	if(!empty($_POST['submit']) AND !empty($_POST['save_htaccess']))
	{
		$WPHE_new_content = $_POST['ht_content'];
		WPHE_DeleteBackup();
		if(WPHE_CreateBackup())
		{
			if(WPHE_WriteNewHtaccess($WPHE_new_content))
			{
				echo'<div id="message" class="updated fade"><p><strong>'.__('File has been successfully changed', 'wphe').'</strong></p></div>';
				?>
				<p><?php _e('You have made changes to the htaccess file. The original file was automatically backed up.', 'wphe'); ?><br />
				<a href="<?php echo get_option('home'); ?>/" target="_blank"><?php _e('Check the functionality of your site (the links to the articles or categories).', 'wphe');?></a>. <?php _e('If something is not working properly restore the original backup file.', 'wphe');?></p>
				<div class="postbox" style="float: left; width: 95%; padding: 15px;">
				<form method="post" action="admin.php?page=<?php echo $WPHE_dirname; ?>">
				<input type="hidden" name="_wp_http_referer" value="/wp-admin/admin.php?page=<?php echo $WPHE_dirname; ?>" />
				<input type="hidden" name="delete_backup" value="delete" />
				<p class="submit"><?php _e('If everything works properly, you can delete the backup file:', 'wphe');?> <input type="submit" name="submit" value="<?php _e('Remove backup &raquo;', 'wphe');?>" />&nbsp;<?php echo __('or','wphe'); ?>&nbsp;<a href="admin.php?page=<?php echo $WPHE_dirname; ?>_backup"><?php _e('restore the original file from backup','wphe');?></a></p>
				</form>
				</div>
				<?php
			}else{
				echo'<div id="message" class="error fade"><p><strong>'.__('The file could not be saved! Probably the wrong setting read permissions to the files', 'wphe').'</strong></p></div>';
			}
		}else{
			echo'<div id="message" class="error fade"><p><strong>'.__('Unable to create backup of the original file! Probably the wrong setting read permissions to the files', 'wphe').'</strong></p></div>';
		}
		unset($WPHE_new_content);
	//============================ Create New Htaccess ================================
	}elseif(!empty($_POST['submit']) AND !empty($_POST['create_htaccess']))
	{
		if(WPHE_WriteNewHtaccess('') === false)
		{
			echo'<div id="message" class="error fade"><p><strong>'.__('Htaccess file is not created. Probably the wrong setting read permissions to the files', 'wphe').'</p></div>';
        }else{
			echo'<div id="message" class="updated fade"><p><strong>'.__('Htaccess file was successfully created.', 'wphe').'</strong></p></div>';
        }
	//============================ Delete Backup =======================================
	}elseif(!empty($_POST['submit']) AND !empty($_POST['delete_backup']))
	{
        if(WPHE_DeleteBackup() === false)
		{
           echo'<div id="message" class="error fade"><p><strong>'.__('Backup file could not be removed! Probably the wrong setting read permissions to the files', 'wphe').'</p></div>';
        }else{
           echo'<div id="message" class="updated fade"><p><strong>'.__('Backup file has been successfully removed.', 'wphe').'</strong></p></div>';
        }
	//============================ Home ================================================
	}else
	{
		?>
		<p><?php _e('Using this editor you can easily modify your htaccess file without having to use an FTP client.', 'wphe');?></p>
		<p class="wphe-red"><?php _e('<strong>WARNING:</strong> Any error in this file may cause malfunction of your site!', 'wphe');?><br />
		<?php _e('Edit htaccess file should therefore be performed only by experienced users!', 'wphe');?><br />
		</p> 
		<div class="postbox wphe-box">
		<?php
		if(!file_exists($WPHE_orig_path))
		{
			echo'<pre class="wphe-red">'.__('Htaccess file not found!', 'wphe').'</pre>';
			$success = false;
		}else{
			echo'<pre class="wphe-green">'.__('Htaccess file found...', 'wphe').'</pre>';
			$success = true;
			if(!is_readable($WPHE_orig_path))
			{
				echo'<pre class="wphe-red">'.__('Htaccess file not read!', 'wphe').'</pre>';
				$success = false;
			}
			if($success == true)
			{
				@chmod($WPHE_orig_path, 0644);
				$WPHE_htaccess_content = file_get_contents($WPHE_orig_path, false, NULL);
				if($WPHE_htaccess_content === false)
				{
					echo'<pre class="wphe-red">'.__('Htaccess file not read!', 'wphe').'</pre>';
					$success = false;
				}elseif(empty($WPHE_htaccess_content))
				{
					echo'<pre style="color: orange;">'.__('Htaccess file is empty...', 'wphe').'</pre>';
					$success = true;
				}else{
					$success = true;
				}
				@chmod($WPHE_orig_path, 0640);
			}
		}

		?>
		</div>
		<?php
		if($success == true)
		{
			?>
			<div class="postbox wphe-box">
			<form method="post" action="admin.php?page=<?php echo $WPHE_dirname; ?>">
			<input type="hidden" name="save_htaccess" value="save" />
			<input type="hidden" name="_wp_http_referer" value="/wp-admin/admin.php?page=<?php echo $WPHE_dirname; ?>" />
			<textarea name="ht_content" style="float:left;width: 100%;padding:5px;color:blue;background-color:whitesmoke;height:250px;" wrap="off"><?php echo $WPHE_htaccess_content;?></textarea>
			<p style="clear:both;">&nbsp;</p>
			<p class="submit"><input type="submit" name="submit" value="<?php _e('Save file &raquo;', 'wphe');?>" /></p>
			</form>
			</div>
			<?php
			unset($WPHE_htaccess_content);
		}else{
			echo'<strong class="wphe-red">'.__('Htaccess file is not readable, probably does not exist', 'wphe').'</strong><br />';
			?>
			<div class="postbox wphe-box" style="background: #E0FCE1;">
			<form method="post" action="admin.php?page=<?php echo $WPHE_dirname; ?>">
			<input type="hidden" name="create_htaccess" value="create" />
			<input type="hidden" name="_wp_http_referer" value="/wp-admin/admin.php?page=<?php echo $WPHE_dirname; ?>" />
			<p class="submit"><?php _e('Create new <code>.htaccess</code> file?', 'wphe');?> <input type="submit" name="submit" value="<?php _e('Create &raquo;', 'wphe');?>" /></p>
			</form>
			</div>
			<?php
		}
		unset($success);
		?>
		
		<p style="clear:both;">&nbsp;</p>
		<h2><?php _e('Information for editing htaccess file', 'wphe');?></h2>
		<div class="postbox wphe-box">
		<p><?php _e('For more information on possible adjustments to this file, please visit', 'wphe');?> <a href="http://httpd.apache.org/docs/current/howto/htaccess.html" target="_blank">Apache Tutorial: .htaccess files</a> <?php _e('or','wphe'); ?> <a href="http://net.tutsplus.com/tutorials/other/the-ultimate-guide-to-htaccess-files/" target="_blank">The Ultimate Guide to .htaccess Files</a>. </p>
		<p><?php _e('Interesting tips and guides can also be found on ', 'wphe');?> <?php WPHE_AuthorLink(); ?>.</p>
		<p><a href="http://www.google.com/#sclient=psy&q=htaccess+how+to" target="_blank"><?php _e('Or use the Google search.','wphe');?></a></p>
		</div>
		<h2><?php _e('Information about this plugin', 'wphe');?></h2>
		<div class="postbox wphe-box">
		<div class="wphe-infobox">
		<h4><?php _e('Author','wphe'); ?></h4>
		<p style="padding-left: 5px"><em>Lukáš Svadbík</em>&nbsp;&nbsp;<?php WPHE_AuthorLink(); ?></p>
		</div>
		<div class="wphe-infobox">
		<h4><?php _e('Translators','wphe'); ?></h4>
		<table class="wphe-translators">
		<tr><td><em>Lukáš Svadbík</em></td><td><img src="<?php echo $WPHE_dirurl.'style/img/flag-cz.jpg'; ?>" border="0" alt="Czech" width="12" height="9" /></td><td><?php WPHE_AuthorLink(); ?></td></tr>
		<tr><td><em>Andi Eko</em></td><td><img src="<?php echo $WPHE_dirurl.'style/img/flag-en.jpg'; ?>" border="0" alt="English" width="12" height="9" /></td><td><a href="http://andieko.info/" target="_blank">andieko.info</a></td></tr>
		</table>
		</div>
		<div class="wphe-infobox">
		<h4><?php _e('Plugin','wphe'); ?></h4>
		<table>
		<tr><td><em><?php _e('Version:','wphe'); ?></em></td><td><span class="wphe-green"><?php echo $WPHE_version; ?></span></td></tr>
		<tr><td><em><?php _e('URL:','wphe'); ?></em></td><td><a href="http://wordpress.org/extend/plugins/wp-htaccess-editor/" target="_blank"><?php _e('WordPress repository','wphe'); ?></a></td></tr>
		<tr><td><em><?php _e('Feedback:','wphe'); ?></em></td><td><a href="mailto:wphe@lukenzi.info">wphe&#64;lukenzi&#46;info</a></td></tr>
		</table>
		</div>
		<div class="wphe-infobox">
		<h4><?php _e('Other plugins','wphe'); ?></h4>
		<table>
		<tr><td><em><a href="http://wordpress.org/extend/plugins/ceska-podpora-wordpressu/" target="_blank"><?php _e('Czech support for WordPress','wphe'); ?></a></em></td></tr>
		</table>
		</div>
		</div>
		<?php
	}
	WPHE_DebugPanel(memory_get_usage(), memory_get_peak_usage());
	?>
	<p style="clear:both;">&nbsp;</p>
	<p class="wphe-banner"><?php WPHE_ViewAdBanner(); ?></p>
	<p style="clear:both;">&nbsp;</p>
	</div>
	<?php
	unset($WPHE_orig_path);
	unset($WPHE_backup_path);
}else{
	wp_die( __('You do not have permission to view this page','wphe'), __('Access denied','wphe'));
}
?>